summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2022-01-16 08:24:59 +0100
committerHans de Graaff <graaff@gentoo.org>2022-01-16 08:24:59 +0100
commit5116bf642ae828df928144d56ffe3e27bf9c6ed4 (patch)
tree261e5d5db4c0793a787b7463bfe2851b21e221a7
parentdev-cpp/tbb: fix build on musl (diff)
downloadgentoo-5116bf642ae828df928144d56ffe3e27bf9c6ed4.tar.gz
gentoo-5116bf642ae828df928144d56ffe3e27bf9c6ed4.tar.bz2
gentoo-5116bf642ae828df928144d56ffe3e27bf9c6ed4.zip
dev-ruby/windows_error: add 0.1.3
Package-Manager: Portage-3.0.28, Repoman-3.0.3 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/windows_error/Manifest1
-rw-r--r--dev-ruby/windows_error/windows_error-0.1.3.ebuild23
2 files changed, 24 insertions, 0 deletions
diff --git a/dev-ruby/windows_error/Manifest b/dev-ruby/windows_error/Manifest
index fee231d4344..57051def4c4 100644
--- a/dev-ruby/windows_error/Manifest
+++ b/dev-ruby/windows_error/Manifest
@@ -1 +1,2 @@
DIST windows_error-0.1.2.gem 227328 BLAKE2B 99cd75d66f3e3322d62daea39a8e217dfeda89141ec3d78c61a29306b78206a40c4bd7867d59a783752da20007b43c45577ec3afe53b7037b850d4983f482e4b SHA512 32e94e561f53f77c5efff5457068e31e66b1d3c73531870b52af00297f69341e390b6d8419a0c0b78ec05f6b65be6456128b9055c143e7b65663520baeac90ad
+DIST windows_error-0.1.3.gem 227328 BLAKE2B 2d0dc8771cd68983bafb3d97d27663e30cb02c67eb982d6b76104ec46405b1a7f055437046dedf068c074deb2b2d1ea49a327109be2f25ea5bd70ab2ee2bd698 SHA512 c74d5a17c44772505b745678c67b3bcaba6710e9b4e59b9aba45daacb6993d3b6529a1f9a53f76e2c31cae922f8f36e40fefa6a232f9ed8ba9034fa109d8317d
diff --git a/dev-ruby/windows_error/windows_error-0.1.3.ebuild b/dev-ruby/windows_error/windows_error-0.1.3.ebuild
new file mode 100644
index 00000000000..04889817f17
--- /dev/null
+++ b/dev-ruby/windows_error/windows_error-0.1.3.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="reference for standard Windows API Error Codes"
+HOMEPAGE="https://github.com/rapid7/windows_error"
+
+LICENSE="BSD"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ rm -f .rspec || die
+}